Ticket #4234: aboutDialog.patch

File aboutDialog.patch, 1.1 KB (added by gk, 7 years ago)
  • browser/base/content/aboutDialog.js

    diff -r 381310995e75 browser/base/content/aboutDialog.js
    a b appUpdater.prototype = 
    406406        // getting the scope property of a plugin breaks in some environments
    407407        // (see bug 566787). The hotfix add-on is also ignored as it shouldn't
    408408        // block the user from upgrading.
    409409        try {
    410410          if (aAddon.type != "plugin" && aAddon.id != hotfixID &&
    411411              !aAddon.appDisabled && !aAddon.userDisabled &&
    412412              aAddon.scope != AddonManager.SCOPE_APPLICATION &&
    413413              aAddon.isCompatible &&
    414               !aAddon.isCompatibleWith(self.update.appVersion,
     414              !aAddon.isCompatibleWith(Services.appInfo.version,
    415415                                       self.update.platformVersion))
    416416            self.addons.push(aAddon);
    417417        }
    418418        catch (e) {
    419419          Components.utils.reportError(e);
    420420        }
    421421      });
    422422      self.addonsTotalCount = self.addons.length;